import { DataWatcher, SaveContract, LoadContract } from "./abstract";
import { ChunkId } from "../interface";
import { ChunkRegistry } from "../chunk-registry";
export declare class ProcessWatcher extends DataWatcher {
    #private;
    constructor(registry: ChunkRegistry);
    save(saveContract: SaveContract): Promise<void>;
    load(chunkId: ChunkId): Promise<LoadContract>;
    cleanup(): Promise<void>;
    restore(): Promise<void>;
    countRows(chunkId: ChunkId): number;
}
